cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/charging_periods" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"charging_period": {
"name": "Monthly charge",
"display_name": "Monthly charge",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
}
}'from exsited import build_client
client = build_client()
response = client.charging_periods.create_settings_charging_period(
{
"charging_period": {
"name": "Monthly charge",
"display_name": "Monthly charge",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.chargingPeriods.createSettingsChargingPeriod({
charging_period: {
name: 'Monthly charge',
display_name: 'Monthly charge',
time_period: 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->chargingPeriods->createSettingsChargingPeriod([
'charging_period' => [
'name' => 'Monthly charge',
'display_name' => 'Monthly charge',
'time_period' => 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.charging_periods.charging_periods_dto.ChargingPeriodsDto.SettingsChargingPeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsChargingPeriod> response = client.chargingPeriods().createSettingsChargingPeriod(
Map.of(
"charging_period", Map.of(
"name", "Monthly charge",
"display_name", "Monthly charge",
"time_period", "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ChargingPeriods.CreateSettingsChargingPeriodAsync(new Dictionary<string, object?>
{
["charging_period"] = new Dictionary<string, object?>
{
["name"] = "Monthly charge",
["display_name"] = "Monthly charge",
["time_period"] = "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.chargingPeriods.createSettingsChargingPeriod({
'charging_period': {
'name': 'Monthly charge',
'display_name': 'Monthly charge',
'time_period': 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ChargingPeriods().CreateSettingsChargingPeriod(context.Background(), map[string]any{
"charging_period": map[string]any{
"name": "Monthly charge",
"display_name": "Monthly charge",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"charging_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"time_period": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}Charging periods
Create a charging period
Creates a charging period and returns it under charging_period.
POST
/
settings
/
charging_periods
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/charging_periods" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"charging_period": {
"name": "Monthly charge",
"display_name": "Monthly charge",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
}
}'from exsited import build_client
client = build_client()
response = client.charging_periods.create_settings_charging_period(
{
"charging_period": {
"name": "Monthly charge",
"display_name": "Monthly charge",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.chargingPeriods.createSettingsChargingPeriod({
charging_period: {
name: 'Monthly charge',
display_name: 'Monthly charge',
time_period: 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->chargingPeriods->createSettingsChargingPeriod([
'charging_period' => [
'name' => 'Monthly charge',
'display_name' => 'Monthly charge',
'time_period' => 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.charging_periods.charging_periods_dto.ChargingPeriodsDto.SettingsChargingPeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsChargingPeriod> response = client.chargingPeriods().createSettingsChargingPeriod(
Map.of(
"charging_period", Map.of(
"name", "Monthly charge",
"display_name", "Monthly charge",
"time_period", "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ChargingPeriods.CreateSettingsChargingPeriodAsync(new Dictionary<string, object?>
{
["charging_period"] = new Dictionary<string, object?>
{
["name"] = "Monthly charge",
["display_name"] = "Monthly charge",
["time_period"] = "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.chargingPeriods.createSettingsChargingPeriod({
'charging_period': {
'name': 'Monthly charge',
'display_name': 'Monthly charge',
'time_period': 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ChargingPeriods().CreateSettingsChargingPeriod(context.Background(), map[string]any{
"charging_period": map[string]any{
"name": "Monthly charge",
"display_name": "Monthly charge",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"charging_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"time_period": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}Send the new charging period under
charging_period. name, display_name and time_period are required, and time_period is the time period’s tp_ id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new charging period, under charging_period.
Show child attributes
Show child attributes